Is it possible...
-
...to create very simple geometry on-the-fly, with no modifications to SP's code? What I mean is, say in my cloth model, you could draw lines between the pieces every frame, to create a face. Paint it with a material, smooth it, and you have seamless cloth!
-
-
That's pretty cool, but I've seen it before and won't do what I want
I'll probably be able to make this work, I know it's possible to draw lines from point to point. I just wonder if it'll make the faces, and how I can smooth them...
-
In theory it should be possible. But it really doesnt have much to do with SP. You would build it using the Sketchup Ruby API. But I warn you that skinning inst very easy. And doing vertex level operations (skinning) in Sketchup is really slow.
-
The cloth is effectively a 3x3 grid... so, 18 polys. Think that'll run at a reasonable rate? (And could you direct me to a basic API tutorial? )
-
I dont know of a Sketchup Ruby API tutorial. Mostly I just look at examples. Here is the API:
http://download.sketchup.com/OnlineDoc/gsu6_ruby/Docs/ruby-classes.html
You probably want to look at Entities, Face and Edge
Here is how you add a face for example:
Sketchup.active_model.entities.add_face([[0,0,0],[10,0,0],[10,10,0],[0,10,0]])
-
Woah!!! I never knew i could make a face during the simulation. is it possible to make a component out of the faces during the sim?
-
grp=Sketchup.active_model.entities.add_group grp.entities.add_face([[0,0,0],[10,0,0],[10,10,0],[0,10,0]])
Here is how you can make a cube.
grp=Sketchup.active_model.entities.add_group face=grp.entities.add_face([[0,0,0],[10,0,0],[10,10,0],[0,10,0]]) face.pushpull(-10)
-
The only problem is that the objects created during the simulation are static until the next simulation.
-
I thought of that... it should be possible to make the geometry at the first frame, then move each point to the desired position every frame afterwards... but, well, I need to find out how
(I don't really see the point of making a group, when you can just use emitters?)
-
Wacov, I was able to create an endpoint editor. I was also wondering if there was a way to easily delete the extra faces created. Anybody have any suggestions?
-
face=Sketchup.active_model.entities.add_face([[slider('X')*10,slider('Y')*10,0],[10,0,0],[10,10,0]]) face.back_material=[255,45,90] face.erase!
Maybe instead only create the face once and then move the points rather than recreating the face.
-
I'm not sure how I would do that right now. Right now all I can do is set the desired position of the nodes and then press space to create the face.
Advertisement